# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate jobserver

Name:           rust-%{crate}
Version:        0.1.11
Release:        5%{?dist}
Summary:        Implementation of the GNU make jobserver for Rust

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/jobserver
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No windows
# * Bump tokio-process to 0.2, https://github.com/alexcrichton/jobserver-rs/pull/8
Patch0:         jobserver-0.1.11-fix-metadata.diff
# Make it work with new tokio-process
Patch1:         0001-bump-tokio-process-to-0.2.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(log) >= 0.4.0 with crate(log) < 0.5.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(futures) >= 0.1.0 with crate(futures) < 0.2.0)
BuildRequires:  (crate(num_cpus) >= 1.0.0 with crate(num_cpus) < 2.0.0)
BuildRequires:  (crate(tempdir) >= 0.3.0 with crate(tempdir) < 0.4.0)
BuildRequires:  (crate(tokio-core) >= 0.1.0 with crate(tokio-core) < 0.2.0)
BuildRequires:  (crate(tokio-process) >= 0.2.0 with crate(tokio-process) < 0.3.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
An implementation of the GNU make jobserver for Rust.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.11-5
- Rebuild to trigger tests

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.11-4
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.11-2
- Bump tokio-process to 0.2

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 0.1.11-1
- Update to 0.1.11

* Tue Mar 13 2018 Josh Stone <jistone@redhat.com> - 0.1.10-1
- Update to 0.1.10

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.9-1
- Initial package
